DECLARE SUB Stats ()
DECLARE SUB Elevator1 ()
DECLARE SUB CannotGo ()
DECLARE SUB Street8 ()
DECLARE SUB CannotDo ()
DECLARE SUB Help ()
DECLARE SUB Inventory ()
DECLARE SUB Quit ()
DECLARE SUB RestoreInGame ()
DECLARE SUB SaveGame ()
'$INCLUDE: 'c:\bc7\programs\cyber\global.bi'

SUB ApartmentComplex

RestoreRoom = 11
Room:
  CLS
  PRINT "The lobby of the apartment complex is small and cramped.  Old pictures hang"
  PRINT "over peeling wallpaper, and several buzzing flourescent lights provide meager"
  PRINT "light.  To the south is the street and an old elevator is to the west."
Command:
  LINE INPUT "> "; a$: a$ = UCASE$(a$)
  IF a$ = "N" OR a$ = "NORTH" OR a$ = "GO NORTH" THEN CannotGo: GOTO Command
  IF a$ = "S" OR a$ = "SOUTH" OR a$ = "GO SOUTH" THEN Street8
  IF a$ = "E" OR a$ = "EAST" OR a$ = "GO EAST" THEN CannotGo: GOTO Command
  IF a$ = "W" OR a$ = "WEST" OR a$ = "GO WEST" THEN Elevator1
  IF a$ = "STATS" THEN Stats: GOTO Command
  IF a$ = "SEARCH" OR a$ = "SEARCH ROOM" THEN GOTO SearchRoom: GOTO Command
  IF a$ = "LOOK" THEN GOTO Room: GOTO Command
  IF a$ = "HELP" OR a$ = "?" THEN Help: GOTO Room
  IF a$ = "QUIT" OR a$ = "EXIT" THEN Quit: GOTO Command
  IF a$ = "I" OR a$ = "INVENTORY" THEN Inventory: GOTO Command
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO Command
  IF a$ = "RESTORE" OR a$ = "RESTORE GAME" THEN RestoreInGame: GOTO Command
  IF a$ = "GET PICTURES" OR a$ = "GET PICTURE" OR a$ = "LOOK PICTURES" OR a$ = "LOOK PICTURE" THEN PRINT "They are faded seascapes of some rocky shore.  They have no monetary value": PRINT "whatsoever.": GOTO Command
  CannotDo
  GOTO Command

SearchRoom:
  PRINT "Even checking behind the old paintings yeilds nothing."
  GOTO Command

END SUB

